Bug 2271688 (CVE-2023-52622)

Summary: CVE-2023-52622 kernel: ext4: avoid online resizing failures due to oversized flex bg
Product: [Other] Security Response Reporter: Marco Benatto <mbenatto>
Component: vulnerabilityAssignee: Product Security <prodsec-ir-bot>
Status: NEW --- QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: acaringi, allarkin, aquini, bhu, chwhite, cye, cyin, dbohanno, debarbos, dfreiber, drow, dvlasenk, esandeen, ezulian, hkrzesin, jarod, jburrell, jdenham, jfaracco, jforbes, jlelli, joe.lawrence, jshortt, jstancek, jwyatt, kcarcia, ldoskova, lgoncalv, lzampier, mleitner, mmilgram, mstowell, nmurray, ptalbert, rkeshri, rparrazo, rrobaina, rvrbovsk, rysulliv, scweaver, sidakwo, sukulkar, tglozar, tyberry, vkumar, wcosta, williams, wmealing, ycote, ykopkova, zhijwang
Target Milestone: ---Keywords: Security
Target Release: ---Flags: mbenatto: needinfo? (rkeshri)
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: kernel 4.19.307, kernel 5.4.269, kernel 5.10.210, kernel 5.15.149, kernel 6.1.77, kernel 6.6.16, kernel 6.7.4, kernel 6.8 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2271689    
Bug Blocks: 2271782    

Description Marco Benatto 2024-03-26 21:39:43 UTC
In the Linux kernel, the following vulnerability has been resolved:

ext4: avoid online resizing failures due to oversized flex bg

The Linux kernel CVE team has assigned CVE-2023-52622 to this issue.

Upstream advisory:
https://lore.kernel.org/linux-cve-announce/20240326171931.1354035-5-lee@kernel.org/T

Comment 1 Marco Benatto 2024-03-26 21:40:20 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2271689]

Comment 5 Justin M. Forbes 2024-03-27 20:36:55 UTC
This was fixed for Fedora with the 6.7.4 stable kernel updates.

Comment 6 Eric Sandeen 2024-04-08 19:25:36 UTC
This appears to be a warning about a too-large allocation failing, an error which is handled properly.

What is the security issue here? I don't see one.

Comment 7 Marco Benatto 2024-04-19 22:14:07 UTC
In reply to comment #6:
> This appears to be a warning about a too-large allocation failing, an error
> which is handled properly.
> 
> What is the security issue here? I don't see one.

Hi Sandeen,

this CVE was assigned by the kernel CNA. We are currently checking how to handle this situation.

@Rohit for awareness

Comment 8 Alex 2024-06-09 16:22:36 UTC
The result of automatic check (that is developed by Alexander Larkin) for this CVE-2023-52622 is: CHECK	Maybe valid. Check manually. with impact LOW (that is an approximation based on flags DISK WARNONLY  ; these flags parsed automatically based on patch data). Such automatic check happens only for Low/Moderates (and only when not from reporter, but parsing already existing CVE). Highs always checked manually (I check it myself and then we check it again in Remediation team). In rare cases some of the Moderates could be increased to High later.